Bug 36265 - Safari fails 'Event object property: defaultPrevented' test on IE9 Testing Center
Summary: Safari fails 'Event object property: defaultPrevented' test on IE9 Testing Ce...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.4
: P5 Normal
Assignee: Dave Hyatt
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2010-03-17 19:49 PDT by Andy Estes
Modified: 2019-02-06 09:03 PST (History)
3 users (show)

See Also:


Attachments
Patch (2.02 KB, patch)
2010-03-18 14:08 PDT, Dave Hyatt
oliver: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Estes 2010-03-17 19:49:20 PDT
2010-03-17 17:56:54 Andy Estes:
Safari fails the following test: http://samples.msdn.microsoft.com/ietestcenter/domevents/domevents_harness.htm?url=./event.defaultprevented.html.

We do not implement the 'defaultPrevented' property on the Event object as specified by the W3C DOM Level 3 Events Working Draft at: http://www.w3.org/TR/DOM-Level-3-Events/.

<rdar://problem/7766030>
Comment 1 Dave Hyatt 2010-03-18 14:08:46 PDT
Created attachment 51089 [details]
Patch
Comment 2 Oliver Hunt 2010-03-18 14:09:49 PDT
Comment on attachment 51089 [details]
Patch

r=me
Comment 3 Dave Hyatt 2010-03-18 14:10:48 PDT
Fixed in r56190.
Comment 4 Lucas Forschler 2019-02-06 09:03:59 PST
Mass moving XML DOM bugs to the "DOM" Component.